package com.yihu.jw.entity.hospital.dict;

import com.yihu.jw.entity.IntegerIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by zdm on 2019/5/28.
 */
@Entity
@Table(name = "base_supervise_dict")
public class BaseSuperviseDict extends UuidIdentityEntity {
    private String userName ;
    private String psw ;
    private String appId ;
    private String aesEncodeKey ;
    private String urlString;
    private String method;
    private String token;
    private String orgCode;
    private String orgName;
    private String orgArea;
    private String orgSub ;
    private Integer status;
    private String dictName;
    private String imgUrl;//服务器地址


    @Column(name = "url_string")
    public String getUrlString() {
        return urlString;
    }

    public void setUrlString(String urlString) {
        this.urlString = urlString;
    }

    @Column(name = "method")
    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    @Column(name = "token")
    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    @Column(name = "org_code")
    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    @Column(name = "org_name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @Column(name = "org_area")
    public String getOrgArea() {
        return orgArea;
    }

    public void setOrgArea(String orgArea) {
        this.orgArea = orgArea;
    }

    @Column(name = "org_sub")
    public String getOrgSub() {
        return orgSub;
    }

    public void setOrgSub(String orgSub) {
        this.orgSub = orgSub;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Column(name = "dict_name")
    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    @Column(name = "user_name")
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Column(name = "psw")
    public String getPsw() {
        return psw;
    }

    public void setPsw(String psw) {
        this.psw = psw;
    }

    @Column(name = "app_id")
    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }


    @Column(name = "aes_encode_key")
    public String getAesEncodeKey() {
        return aesEncodeKey;
    }

    public void setAesEncodeKey(String aesEncodeKey) {
        this.aesEncodeKey = aesEncodeKey;
    }

    @Column(name = "img_url")
    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }
}
